Bug 820140 - provide a native systemd unit file
provide a native systemd unit file
Product: Fedora
Classification: Fedora
Component: opensm (Show other bugs)
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept 816135 818969
  Show dependency treegraph
Reported: 2012-05-09 05:24 EDT by Martin Cermak
Modified: 2012-12-20 00:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 818969
Last Closed: 2012-12-20 00:27:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Doug Ledford 2012-12-05 13:21:56 EST
I'm not allowed to change to a systemd setup during a release lifecycle, so making this change (hopefully) before f18 goes live instead.  Updating release to reflect that.
Comment 2 Fedora Update System 2012-12-05 13:24:54 EST
opensm-3.3.15-2.fc18, libibmad-1.3.9-1.fc18, libibumad-1.3.8-1.fc18 has been submitted as an update for Fedora 18.
Comment 3 Fedora Update System 2012-12-05 18:09:02 EST
Package libibmad-1.3.9-1.fc18, libibumad-1.3.8-1.fc18, rdma-2.0-6.fc18, opensm-3.3.15-3.fc18, srptools-0.0.4-16.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libibmad-1.3.9-1.fc18 libibumad-1.3.8-1.fc18 rdma-2.0-6.fc18 opensm-3.3.15-3.fc18 srptools-0.0.4-16.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Adam Williamson 2012-12-19 16:40:58 EST
The bugs related to the update https://admin.fedoraproject.org/updates/srptools-0.0.4-16.fc18,rdma-2.0-6.fc18,opensm-3.3.15-3.fc18,libibmad-1.3.9-1.fc18,libibumad-1.3.8-1.fc18 were discussed as a group at the 2012-12-19 NTH review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-19/f18final-blocker-review-6.2012-12-19-17.02.log.txt .

We considered them en masse with the general justification that dledford wishes to migrate the services in these packages to systemd prior to the release of Fedora 18, and also to fix a small security bug.

The update policy precludes migrating from sysv to systemd post-release, so if we do not allow this update through the freeze, dledford will be stuck maintaining sysv scripts for the whole of the F18 cycle (and he will have to undo all his migration work in the specs). We considered that these updates relate to a fairly unusual technology - infiniband - and that the typical Infiniband user is likely to be capable of working with Doug to resolve any teething issues that appear: accepting this update is very unlikely to cause any problems in 'typical' use. We also considered that Doug generally knows what he's doing.

Thus we accepted the issue as a whole as NTH, and will mark all the proposed bugs as AcceptedNTH, and pull the update through the freeze.
Comment 5 Fedora Update System 2012-12-20 00:28:06 EST
libibmad-1.3.9-1.fc18, libibumad-1.3.8-1.fc18, rdma-2.0-6.fc18, opensm-3.3.15-3.fc18, srptools-0.0.4-16.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.